qubeKey: source-appstore-singer
name: source-appstore-singer
type: airbyte-source
id: source-appstore-singer
maturity: alpha
ui:
  icon: <svg xmlns="http://www.w3.org/2000/svg" width="250" height="250" fill="none"><g
    clip-path="url(#a)"><path fill="url(#b)" d="M30 73.182C30 49.333 49.333 30 73.182
    30h103.636C200.667 30 220 49.333 220 73.182v103.636C220 200.667 200.667 220 176.818
    220H73.182C49.333 220 30 200.667 30 176.818V73.182Z"/><path fill="#fff" d="m91.787
    168.325.018.006-6.41 11.102a8.473 8.473 0 1 1-14.677-8.473l4.722-8.179.454-.785c.809-1.163
    2.806-3.171 6.801-2.794 0 0 9.401 1.021 10.081 5.907 0 0 .093 1.608-.989 3.216Zm90.918-28.358h-19.99c-1.361-.091-1.955-.577-2.189-.859l-.014-.026-21.398-37.062-.028.018-1.283-1.84c-2.103-3.216-5.443
    5.01-5.443 5.01-3.987 9.166.566 19.587 2.153 22.737l29.721 51.477a8.473 8.473
    0 0 0 11.574 3.101 8.473 8.473 0 0 0 3.102-11.575l-7.432-12.872c-.144-.311-.395-1.159
    1.13-1.162h10.097a8.474 8.474 0 0 0 0-16.947Zm-38.826 11.52s1.067 5.427-3.061
    5.427H66.924a8.474 8.474 0 0 1 0-16.947H85.92c3.067-.177 3.794-1.948 3.794-1.948l.017.009
    24.798-42.952-.008-.001c.453-.83.076-1.614.011-1.738l-8.19-14.185a8.473 8.473
    0 0 1 3.102-11.574 8.473 8.473 0 0 1 11.574 3.101l3.799 6.579 3.791-6.567a8.473
    8.473 0 1 1 14.676 8.473l-34.507 59.768c-.151.364-.197.935.926 1.035h20.626l.004.201s11.922.186
    13.545 11.319Z"/></g><defs><linearGradient id="b" x1="125" x2="125" y1="220" y2="30"
    gradientUnits="userSpaceOnUse"><stop stop-color="#1D76F2"/><stop offset="1" stop-color="#1AC2FB"/></linearGradient><clipPath
    id="a"><path fill="#fff" d="M30 30h190v190H30z"/></clipPath></defs></svg>
  shortDescription: api
  description: ''
  links:
  - linkName: Documentation
    url: https://docs.airbyte.com/integrations/sources/appstore
properties:
  type: object
  title: Source Appstore Singer Spec
  schema: http://json-schema.org/draft-07/schema#
  required:
  - key_id
  - private_key
  - issuer_id
  - vendor
  - start_date
  properties:
    key_id:
      type: string
      title: Key ID
      description: Appstore Key ID. See the <a href="https://docs.airbyte.io/integrations/sources/appstore">docs</a>
        for more information on how to obtain this key.
    vendor:
      type: string
      title: Vendor ID
      description: Appstore Vendor ID. See the <a href="https://docs.airbyte.io/integrations/sources/appstore">docs</a>
        for more information on how to obtain this ID.
    issuer_id:
      type: string
      title: Issuer ID
      description: Appstore Issuer ID. See the <a href="https://docs.airbyte.io/integrations/sources/appstore">docs</a>
        for more information on how to obtain this ID.
    start_date:
      type: string
      title: Start Date
      pattern: ^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}Z$
      examples:
      - '2020-11-16T00:00:00Z'
      description: UTC date and time in the format 2017-01-25T00:00:00Z. Any data
        before this date will not be replicated.
    private_key:
      type: string
      title: Private Key
      multiline: true
      description: Appstore Private Key. See the <a href="https://docs.airbyte.io/integrations/sources/appstore">docs</a>
        for more information on how to obtain this key.
      airbyte_secret: true
  additionalProperties: false
schemaType: {}
